package com.yihu.jw.entity.door;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.iot.gateway.IdEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by wangpeiqiang on 2019/3/12.
 */
@Entity
@Table(name = "wlyy_doctor_registration")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_doctor_registration")
public class DoctorRegistration extends IdEntity {
    //登记服务一级模板编码
    private String code;
    //模板名称
    private String modelName;
    // 创建时间
    private Date createTime;
    // 是否隐藏
    private Integer isHide;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getModelName() {
        return modelName;
    }

    public void setModelName(String modelName) {
        this.modelName = modelName;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getIsHide() {
        return isHide;
    }

    public void setIsHide(Integer isHide) {
        this.isHide = isHide;
    }
}
